Bug 41799 - X (Gnome) session abruptly terminated
X (Gnome) session abruptly terminated
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 04:29 EDT by Paul Michael Reilly
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-09 04:05:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The X Server log (from /var/log/XFree86.0.log) (46.99 KB, text/plain)
2001-05-23 13:48 EDT, Paul Michael Reilly
no flags Details
The XFree86 config file (16.00 KB, text/plain)
2001-05-23 13:51 EDT, Paul Michael Reilly
no flags Details
Just noticed this in /var/log/messages. Note the gnome-name-server exiting. (334 bytes, text/plain)
2001-05-23 13:59 EDT, Paul Michael Reilly
no flags Details
Ignore last attachment content (didn't save the buffer) :-( (1.84 KB, text/plain)
2001-05-23 14:01 EDT, Paul Michael Reilly
no flags Details

  None (edit)
Description Paul Michael Reilly 2001-05-22 04:29:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; 0.8.1)
Gecko/20010425

Description of problem:
The currently logged in User is effectively logged out and the login screen
(Gnome) is presented.  This problem is sort of random and occurs when no
user is operating at the console, i.e. the problem is generally discovered
when returning to hack and finding that the session has been killed.  On
one occasion (just now) the problem occurred as I was browsing, more
specifically while halfway through reading a page on the screen.  I have
also heard this problem reported by a co-worker.

I have no clue on how to reproduce this problem.  Suggestions on capturing
information that may lead to reproducability will be gratefully received.

How reproducible:
Didn't try

Steps to Reproduce:
1.Install RHL 7.1
2.Login via Gnome login screen.
3.Wait days and days (~6-14)
4.Observe a fresh login screen even though no logout occurred.
	

Additional info:

I am aware of this problem occurring on RHL 6.2 as well as 7.1.

My system is a dual Xeon with a Viper V550 AGP graphics card.

No error messages or system log entries are generated.
Comment 1 Mike A. Harris 2001-05-22 15:34:58 EDT
Need an X server log from you, and your config file.  Please attach each
separatly via the file attach link below.
Comment 2 Paul Michael Reilly 2001-05-23 13:48:46 EDT
Created attachment 19430 [details]
The X Server log (from /var/log/XFree86.0.log)
Comment 3 Paul Michael Reilly 2001-05-23 13:51:18 EDT
Created attachment 19431 [details]
The XFree86 config file
Comment 4 Paul Michael Reilly 2001-05-23 13:59:45 EDT
Created attachment 19432 [details]
Just noticed this in /var/log/messages.  Note the gnome-name-server exiting.
Comment 5 Paul Michael Reilly 2001-05-23 14:01:12 EDT
Created attachment 19433 [details]
Ignore last attachment content (didn't save the buffer) :-(
Comment 6 Mike A. Harris 2002-02-09 04:05:08 EST
The X server log you've shown is from XFree86 4.x, however your X config file
is an XFree86 3.3.6 config file.  You need to attach the XFree86 4.x config
file, which is XF86Config-4.

The /var/log/messages file you've attached shows the following:

May 22 03:17:07 hamm rpc.statd[529]: gethostbyname error for
^Xw?^Xw?^Yw?^Yw?^Zw?^Zw?^[w?^[w?%8x%8x%8x%8x%8x%8x%8x%8x%8x%236x%n%137x%n%10x%n%192x%n\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220\220

That is an attempt by someone to break into your machine using a remote
buffer overflow attack against the rpc.statd service.  They may or may
not have been successful at breaking in, however to ensure this type
of threat does not occur in the future, I _strongly_ urge you to run
the latest updated packages which Red Hat releases as security and bug
fixes to the distribution.  You can do this by using the "up2date"
command.  Also, you should disable any services running on your machine
that are not needed and/or not used during normal usage of the machine.
rpc.statd is used when using nfs for example, so if you do not use nfs,
be sure to disable all nfs related services.  It is also strongly
recommended to enable a firewall using firewall-config or some other
firewall configuration utility - which if configured properly could
block attacks like this one.

The crashes may or may not be linked to the attack attempt.

We have released many updates to Red Hat Linux since the report was
filed, including an update to XFree86.  If you haven't upgraded already,
please upgrade to XFree86-4.1.0-15 as well as any other errata updates
not already applied.

If this problem persists still, please update this bug report with
your current details, including the XF86Config-4 config file, and
also a new X server log.  If you do have a server crash, make sure you
do _not_ start up XFree86 again before copying the log file, as the
new X server log will have overwrote the prior logfile thus wiping
out any useful crash info.

Thanks.

Comment 7 Mike A. Harris 2002-05-30 02:28:10 EDT
CLosing due to inactivity.  If the problem persists, please file a bug
report with XFree86 directly at xfree86@xfree86.org, and carbon copy
xpert@xfree86.org.

Note You need to log in before you can comment on or make changes to this bug.